
From: Adrian Bunk <bunk@stusta.de>

The patch below does the following cleanups in the proc_fs code:
- remove an unused global function
- make two functions static

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                       |    0 
 25-akpm/fs/proc/kcore.c         |   17 -----------------
 25-akpm/fs/proc/proc_misc.c     |    4 ++--
 25-akpm/include/linux/proc_fs.h |    5 -----
 4 files changed, 2 insertions(+), 24 deletions(-)

diff -puN fs/proc/kcore.c~small-proc_fs-cleanups-fwd fs/proc/kcore.c
--- 25/fs/proc/kcore.c~small-proc_fs-cleanups-fwd	Thu Dec  9 13:37:02 2004
+++ 25-akpm/fs/proc/kcore.c	Thu Dec  9 13:37:02 2004
@@ -67,23 +67,6 @@ kclist_add(struct kcore_list *new, void 
 	write_unlock(&kclist_lock);
 }
 
-struct kcore_list *
-kclist_del(void *addr)
-{
-	struct kcore_list *m, **p = &kclist;
-
-	write_lock(&kclist_lock);
-	for (m = *p; m; p = &m->next) {
-		if (m->addr == (unsigned long)addr) {
-			*p = m->next;
-			write_unlock(&kclist_lock);
-			return m;
-		}
-	}
-	write_unlock(&kclist_lock);
-	return NULL;
-}
-
 static size_t get_kcore_size(int *nphdr, size_t *elf_buflen)
 {
 	size_t try, size;
diff -L fs/proc/kcore.c.old -puN /dev/null /dev/null
diff -puN fs/proc/proc_misc.c~small-proc_fs-cleanups-fwd fs/proc/proc_misc.c
--- 25/fs/proc/proc_misc.c~small-proc_fs-cleanups-fwd	Thu Dec  9 13:37:02 2004
+++ 25-akpm/fs/proc/proc_misc.c	Thu Dec  9 13:37:02 2004
@@ -319,7 +319,7 @@ static struct file_operations proc_slabi
 	.release	= seq_release,
 };
 
-int show_stat(struct seq_file *p, void *v)
+static int show_stat(struct seq_file *p, void *v)
 {
 	int i;
 	unsigned long jif;
@@ -468,7 +468,7 @@ static struct seq_operations int_seq_ops
 	.show  = show_interrupts
 };
 
-int interrupts_open(struct inode *inode, struct file *filp)
+static int interrupts_open(struct inode *inode, struct file *filp)
 {
 	return seq_open(filp, &int_seq_ops);
 }
diff -L fs/proc/proc_misc.c.old -puN /dev/null /dev/null
diff -puN include/linux/proc_fs.h~small-proc_fs-cleanups-fwd include/linux/proc_fs.h
--- 25/include/linux/proc_fs.h~small-proc_fs-cleanups-fwd	Thu Dec  9 13:37:02 2004
+++ 25-akpm/include/linux/proc_fs.h	Thu Dec  9 13:37:02 2004
@@ -231,13 +231,8 @@ extern struct proc_dir_entry proc_root;
 static inline void kclist_add(struct kcore_list *new, void *addr, size_t size)
 {
 }
-static inline struct kcore_list * kclist_del(void *addr)
-{
-	return NULL;
-}
 #else
 extern void kclist_add(struct kcore_list *, void *, size_t);
-extern struct kcore_list *kclist_del(void *);
 #endif
 
 struct proc_inode {
diff -L include/linux/proc_fs.h.old -puN /dev/null /dev/null
_
